<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku:  Fichier source de src/Point.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Point.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_point_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Loan Caecke on 2019-04-29.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef PROJETCPPGL_POINT_HPP</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define PROJETCPPGL_POINT_HPP</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_couleur_8hpp.html">Couleur.hpp</a>&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="class_point.html">   13</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_point.html">Point</a> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> _couleur;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keywordtype">int</span> _x;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keywordtype">int</span> _y;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <a class="code" href="class_point.html#ad92f2337b839a94ce97dcdb439b4325a">Point</a>();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <a class="code" href="class_point.html#ad92f2337b839a94ce97dcdb439b4325a">Point</a>(<span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y);</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <a class="code" href="class_point.html#ad92f2337b839a94ce97dcdb439b4325a">Point</a>(<span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> couleur);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> <a class="code" href="class_point.html#a3dce10401e8a0116cd33af91e4eb2a2c">getCouleur</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_point.html#a10d04a1ee26ee57c062967d4e2d7a87b">setCouleur</a>(<a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> _couleur);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_point.html#ac9d5859db121c7d1b89ca89266dca0a3">getX</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_point.html#aa1d444024813ee4def15bb8576c351fc">setX</a>(<span class="keywordtype">int</span> _x);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_point.html#a86d10ff46e08462c45b15a8c7ef62d61">getY</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_point.html#aadbaf15691dc524ea45716ef3fa24285">setY</a>(<span class="keywordtype">int</span> _y);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;};</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif //PROJETCPPGL_POINT_HPP</span></div><div class="ttc" id="_couleur_8hpp_html"><div class="ttname"><a href="_couleur_8hpp.html">Couleur.hpp</a></div></div>
<div class="ttc" id="class_point_html_a3dce10401e8a0116cd33af91e4eb2a2c"><div class="ttname"><a href="class_point.html#a3dce10401e8a0116cd33af91e4eb2a2c">Point::getCouleur</a></div><div class="ttdeci">Couleur getCouleur() const</div><div class="ttdef"><b>Definition:</b> Point.cpp:27</div></div>
<div class="ttc" id="class_point_html_a10d04a1ee26ee57c062967d4e2d7a87b"><div class="ttname"><a href="class_point.html#a10d04a1ee26ee57c062967d4e2d7a87b">Point::setCouleur</a></div><div class="ttdeci">void setCouleur(Couleur _couleur)</div><div class="ttdef"><b>Definition:</b> Point.cpp:31</div></div>
<div class="ttc" id="class_point_html_ac9d5859db121c7d1b89ca89266dca0a3"><div class="ttname"><a href="class_point.html#ac9d5859db121c7d1b89ca89266dca0a3">Point::getX</a></div><div class="ttdeci">int getX() const</div><div class="ttdef"><b>Definition:</b> Point.cpp:35</div></div>
<div class="ttc" id="class_point_html_a86d10ff46e08462c45b15a8c7ef62d61"><div class="ttname"><a href="class_point.html#a86d10ff46e08462c45b15a8c7ef62d61">Point::getY</a></div><div class="ttdeci">int getY() const</div><div class="ttdef"><b>Definition:</b> Point.cpp:43</div></div>
<div class="ttc" id="_couleur_8hpp_html_aa304d0ca681f782b1d7735da33037dd7"><div class="ttname"><a href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a></div><div class="ttdeci">Couleur</div><div class="ttdef"><b>Definition:</b> Couleur.hpp:12</div></div>
<div class="ttc" id="class_point_html_ad92f2337b839a94ce97dcdb439b4325a"><div class="ttname"><a href="class_point.html#ad92f2337b839a94ce97dcdb439b4325a">Point::Point</a></div><div class="ttdeci">Point()</div><div class="ttdef"><b>Definition:</b> Point.cpp:15</div></div>
<div class="ttc" id="class_point_html_aa1d444024813ee4def15bb8576c351fc"><div class="ttname"><a href="class_point.html#aa1d444024813ee4def15bb8576c351fc">Point::setX</a></div><div class="ttdeci">void setX(int _x)</div><div class="ttdef"><b>Definition:</b> Point.cpp:39</div></div>
<div class="ttc" id="class_point_html_aadbaf15691dc524ea45716ef3fa24285"><div class="ttname"><a href="class_point.html#aadbaf15691dc524ea45716ef3fa24285">Point::setY</a></div><div class="ttdeci">void setY(int _y)</div><div class="ttdef"><b>Definition:</b> Point.cpp:47</div></div>
<div class="ttc" id="class_point_html"><div class="ttname"><a href="class_point.html">Point</a></div><div class="ttdef"><b>Definition:</b> Point.hpp:13</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
